#!/bin/bash
set -e

#
# this script compresses everything in $source and saves it in $destination
#

source="$HOME/kskcloud/Musik/"
export destination="$HOME/Musik.tiny/"

cd "$source"

# create directory structure
find . -type d -exec mkdir -p "$destination/{}" \;

# copy existing files
find . -type f -name '*.mp3' -exec cp --reflink=always "{}" "$destination/{}" \;
find . -type f -name '*.m4a' -exec cp --reflink=always "{}" "$destination/{}" \;
find . -type f -name '*.ogg' -exec cp --reflink=always "{}" "$destination/{}" \;

# set +e because ffmpeg errors on .jpg, .txt, etc.
# compress with mp3
set +e
find . -type f | parallel --eta --progress 'ffmpeg -v 0 -n -i ""{}"" -c:a mp3 -b:a 320 -map_metadata 0 ""$destination/{.}.mp3""'
#set -e
